Skip to main content
`Ctrl`+`K`

# PEPMonitorFn

A function prototype for functions provided to `PEPMonitorSet()`.

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode PEPMonitorFn(PEP pep,PetscInt its,PetscInt nconv,PetscScalar eigr[],PetscScalar eigi[],PetscReal errest[],PetscInt nest,void *ctx);

## Calling Sequence

- pep - the polynomial eigensolver context

- its - iteration number

- nconv - number of converged eigenpairs

- eigr - real part of the eigenvalues

- eigi - imaginary part of the eigenvalues

- errest - relative error estimates for each eigenpair

- nest - number of error estimates

- ctx - optional monitoring context, as provided with `PEPMonitorSet()`

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPMonitorSet()`

## Level

intermediate

## Location

include/slepcpep.h

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages